OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSelect

# IGESSelect_UpdateCreationDate Class Reference

Allows to Change the Creation Date indication in the Header
(Global Section) of IGES File. It is taken from the operating
system (time of application of the Modifier).
The Selection of the Modifier is not used : it simply acts as
a criterium to select IGES Files to touch up
.

`#include <IGESSelect_UpdateCreationDate.hxx>`

Inheritance diagram for IGESSelect_UpdateCreationDate:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSelect_UpdateCreationDate ()
| Creates an UpdateCreationDate, which uses the system Date .
Standard_EXPORT void | Performing (IFSelect_ContextModif &ctx, const Handle(IGESData_IGESModel)&target, Interface_CopyTool &TC) const
| Specific action : only <target> is used : the system Date is set to Global Section Item n0 18. .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text which is "Update IGES Header Creation Date" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_UpdateCreationDate::IGESSelect_UpdateCreationDate | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_UpdateCreationDate::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESSelect_ModelModifier.

Standard_EXPORT TCollection_AsciiString IGESSelect_UpdateCreationDate::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_GeneralModifier.

Standard_EXPORT void IGESSelect_UpdateCreationDate::Performing | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(IGESData_IGESModel)& | target,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IGESSelect_ModelModifier.

The documentation for this class was generated from the following file:

- IGESSelect_UpdateCreationDate.hxx